## pacemaker 1.1.5

=== debian/changelog ===
pacemaker (1.1.5-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/patches:
    - lib_license_headers_update.patch: Dropped.
    - other_license_headers_update.patch: Dropped.
    - fix_ftbfs_linker_as_needed.patch: Dropped.
    - remove_debian-dir_from_autotools_handling.patch: Dropped.
    - debian/patches/fix_return_o2cb_ra.patch: Dropped.
    - debian/patches/raexecupstart.patch: Refreshed.
  * debian/control:
    - Build-Depends on xsltproc, docbook-xsl, resource-agents-dev.
    - Bump libpe-status2 to libpe-status3
    - Bump libstonithd0 to libstonithd1
    - Depends on resource-agents.
  * debian/libpe-status2{-dev}.install: Rename to libpe-status3{-dev}.install
  * debian/libstonithd0{-dev}.install: Rename to libstonithd1{-dev}.install
  * debian/clean: Do not clean nvset.rng and rule.rng.
  * debian/pacemaker.install:
    - Add missing binaries, manpages and files.
    - Drop files no longer needed.
    - Change nvset-1.0.rng to nvset.rng and rule-1.0.rng to rule.rng.
  * debian/pacemaker.manpages: No longer needed.
  * debian/libstonithd1-dev.install: Remove files that no longer exist
  * debian/libcrmcluster1-dev.install: Add missing header.
  * debian/libpe-status3.install: Update version in file.
  * debian/libstonithd1.install: Update version in file.
  * debian/pacemaker-dev.install: Do not install *.pyc or *.pyo files
  * debian/rules: Change from --fail-missing to --list-missing to not fail
    when *.pyc or *.pyo files are not installed.
  * Switch from dh_pycentral to dh_python2.
  * debian/pacemaker.postinst: Remove pycentral pkginstall rule.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 24 Jun 2011 18:31:14 -0400

pacemaker (1.0.11-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #784855).  Remaining changes:
    - debian/patches:
      + lib_license_headers_update.patch: Update the License Headers to
        correctly reflect the use of LGPL-2.1+.
      + other_license_headers_update.patch: Update the License Headers of
        files that show GPL version 2.1, to correctly show version 2+.
      + raexecupstart.patch: Utilize new upstart LRM plugin.
      + fix_ftbfs_linker_as_needed.patch: Prevent FTBFS due to linker changes.
      + fix_return_o2cb_ra.patch: Fix a return variale error in the o2cb RA.
    - debian/pacemaker.postinst: Fix permissions on /var/lib/pengine.
    - debian/control: Bump cluster-glue dependencies to Ubuntu specific.
  * debian/patches: Refresh all patches.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 25 May 2011 21:28:53 +0100

pacemaker (1.0.11-1) unstable; urgency=low

  [ Martin G. Loschwitz ]
  * New upstream version

 -- Martin Loschwitz <madkiss@debian.org>  Sun, 22 May 2011 08:52:18 +0000

pacemaker (1.0.10-6) unstable; urgency=low

  [ Martin G. Loschwitz ]
  * Added Build-Depends on libxml2-dev and help2man, kudos 
    go to Florian Haas for pointing this out.
  * Replaced the lines in debian/rules to wipe dependency_libs
    from .la files with Steve Langasek's version (Closes: #619552)   
  * Remove ancient leftovers from debian/rules file, again kudos
    to Florian Haas

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 20 Apr 2011 13:17:24 +0000

pacemaker (1.0.10-5) unstable; urgency=low

  [ Andres Rodriguez ]
  * Fix versioned dependency on cluster-glue-dev
    - The version should be a cluster-glue-dev version,
      not a pacemaker version.
      Closes: #608275
  * Resolve libpe-rules2 upgrade failure
    Closes: #609480

  [  Andreas Metzler ]
  * Empty dependency_libs in libtool la file.
    http://wiki.debian.org/ReleaseGoals/LAFileRemoval
    Closes: #610156

 -- Simon Horman <horms@debian.org>  Mon, 17 Jan 2011 08:10:29 +0900
