## pacemaker 1.1.6

=== debian/changelog ===
pacemaker (1.1.6-2ubuntu3.3) precise; urgency=high

  * Removed buggy logic that tried to prevent rare secondary dc fencing (LP: #1312156)

 -- Rafael David Tinoco <rafael.tinoco@canonical.com>  Fri, 02 May 2014 15:47:36 -0500

pacemaker (1.1.6-2ubuntu3.2) precise; urgency=low

  * debian/patches/Low-cib-If-we-received-the-message-the-peer-is-activ.patch:
    Fix issues where syncing fails during reboots. (LP: #1302633)

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Thu, 03 Apr 2014 09:26:29 -0500

pacemaker (1.1.6-2ubuntu3.1) precise-proposed; urgency=low

  * debian/patches/cib-segfault.patch: Fix segfault caused by
    destroying an already free hash table. (LP: #1057651)

 -- Ante Karamatic <ivoks@ubuntu.com>  Thu, 27 Jun 2013 15:55:34 +0200

pacemaker (1.1.6-2ubuntu3) precise; urgency=low

  * Build with cman support (LP: #983091)
    - debian/rules: --with-cman.
    - Depends on libcman-dev and libfence-dev.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 16 Apr 2012 12:55:17 -0400

pacemaker (1.1.6-2ubuntu2) precise; urgency=low

  * No change upload to fix new FTBFS (LP: #972600)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 03 Apr 2012 12:43:17 -0400

pacemaker (1.1.6-2ubuntu1) precise; urgency=low

  * debian/control: Build-Dep on libcorosync4. Fixes FTBFS (LP: #935538)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 23 Feb 2012 00:29:31 -0500

pacemaker (1.1.6-2) unstable; urgency=low

  * Adopted numerous changes from the Ubuntu packages, implemented by Andres
    Rodriguez to make co-maintaining these packages in Ubuntu and Debian a
    bit easier. 

 -- Martin Loschwitz <madkiss@debian.org>  Thu, 20 Oct 2011 13:45:56 +0000

pacemaker (1.1.6-1) unstable; urgency=low

  * New upstream version 1.1.6

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 19 Oct 2011 16:26:24 +0000

pacemaker (1.1.5-3) unstable; urgency=low

  * debian/control: Really fix the issue with conflicting files this time,
    esp. for libstonithd1-dev vs. libstonithd0-dev (Closes: #639272)

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 26 Aug 2011 13:09:40 +0000

pacemaker (1.1.5-2) unstable; urgency=low

  * debian/control: Fix the Replaces: and Conflicts: for libpe-status3-dev 
    to make sure there are no conflicting files with libpe-status2-dev
    (Closes: #639270)

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 26 Aug 2011 07:05:47 +0000

pacemaker (1.1.5-1) unstable; urgency=low

  [ Martin G. Loschwitz ]
    * New upstream release. Packaging is based largely on the Ubuntu package
      created by Andres Rodriguez. Thank you for the cool work!
    * Changing Ubuntu specific entries so that they become compatible with the
      Debian System
    * Bump Standards-Version -- no changes were necessary in the package
    * Fix magic for repairing dependency_libs problem
  [ Andres Rodriguez ]
    * debian/patches:
      - debian/patches/raexecupstart.patch: Refreshed.
    * debian/control:
      - Build-Depends on xsltproc, docbook-xsl, resource-agents-dev.
      - Bump libpe-status2 to libpe-status3
      - Bump libstonithd0 to libstonithd1
      - Depends on resource-agents.
    * debian/libpe-status2{-dev}.install: Rename to libpe-status3{-dev}.install
    * debian/libstonithd0{-dev}.install: Rename to libstonithd1{-dev}.install
    * debian/clean: Do not clean nvset.rng and rule.rng.
    * debian/pacemaker.install:
      - Add missing binaries, manpages and files.
      - Drop files no longer needed.
      - Change nvset-1.0.rng to nvset.rng and rule-1.0.rng to rule.rng.
    * debian/pacemaker.manpages: No longer needed.
    * debian/libstonithd1-dev.install: Remove files that no longer exist
    * debian/libcrmcluster1-dev.install: Add missing header.
    * debian/libpe-status3.install: Update version in file.
    * debian/libstonithd1.install: Update version in file.
    * debian/pacemaker-dev.install: Do not install *.pyc or *.pyo files
    * debian/rules: Change from --fail-missing to --list-missing to not fail
      when *.pyc or *.pyo files are not installed.
    * Switch from dh_pycentral to dh_python2.
    * debian/pacemaker.postinst: Remove pycentral pkginstall rule.

 -- Martin Loschwitz <madkiss@debian.org>  Thu, 24 Aug 2011 12:10:00 +0000

pacemaker (1.0.11-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't install python bytecode so the upload gets accepted to the archive

 -- Luk Claes <luk@debian.org>  Sun, 05 Jun 2011 22:21:18 +0200

pacemaker (1.0.11-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove references to other libraries from dependency_libs field
    (Closes: #619552).

 -- Luk Claes <luk@debian.org>  Tue, 31 May 2011 19:44:53 +0200
