=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Martin Loschwitz <madkiss@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>, Simon Horman <horms@debian.org>, Frederik Schüler <fs@debian.org>
-Build-Depends: debhelper (>= 7), automake, autoconf, chrpath, libsnmp-dev, libglib2.0-dev, perl, net-tools, python (>= 2.6.6-3~), libtool, libcurl4-openssl-dev | libcurl3-openssl-dev, libxml2-dev, bison, flex, uuid-dev, libbz2-dev, zlib1g-dev, libltdl3-dev, openssh-client, libgnutls-dev, libpam0g-dev, libncurses5-dev, libcorosync-dev (>= 1.1.2), libheartbeat2-dev (>= 3.0), libxslt1-dev, libesmtp-dev, cluster-glue-dev (>= 1.0.7-3ubuntu1), liblrm2-dev, libpils2-dev, libplumb2-dev, libplumbgpl2-dev, libstonith1-dev, help2man, libxml2-utils, xsltproc, docbook-xsl, resource-agents-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7), automake, autoconf, chrpath, libsnmp-dev, libglib2.0-dev, perl, net-tools, python (>= 2.6.6-3~), libtool, libcurl4-openssl-dev | libcurl3-openssl-dev, libxml2-dev, bison, flex, uuid-dev, libbz2-dev, zlib1g-dev, libltdl3-dev, openssh-client, libgnutls-dev, libpam0g-dev, libncurses5-dev, libcorosync-dev (>= 1.4.1), libheartbeat2-dev (>= 3.0), libxslt1-dev, libesmtp-dev, cluster-glue-dev (>= 1.0.7+hg2618), liblrm2-dev, libpils2-dev, libplumb2-dev, libplumbgpl2-dev, libstonith1-dev, help2man, libxml2-utils, xsltproc, docbook-xsl, resource-agents-dev, libcorosync4, libcman-dev (>= 3.1), libfence-dev (>= 3.1)
+Standards-Version: 3.9.2
 Homepage: http://clusterlabs.org/
 Vcs-Hg: http://hg.debian.org/hg/debian-ha/pacemaker
 Vcs-Browser: http://hg.debian.org/hg/debian-ha/pacemaker
@@ -13,7 +13,7 @@
 
 Package: pacemaker
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, resource-agents, python, adduser, corosync (>= 1.1.2) | heartbeat (>= 3.0)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, resource-agents, python, adduser, corosync (>= 1.4.1) | heartbeat (>= 3.0)
 Conflicts: pacemaker-heartbeat, pacemaker-openais
 Replaces: pacemaker-heartbeat, pacemaker-openais
 Description: HA cluster resource manager
@@ -31,7 +31,7 @@
 Architecture: any
 Replaces: pacemaker-heartbeat-dev, pacemaker-openais-dev
 Conflicts: pacemaker-heartbeat-dev, pacemaker-openais-dev
-Depends: ${shlibs:Depends}, ${misc:Depends}, pacemaker (>= ${binary:Version}), python, libcorosync-dev (>= 1.1.2+svn20091102), libheartbeat2-dev (>= 3.0) , libglib2.0-dev, libxml2-dev, libcluster-glue-dev (>= 1.0.7-3ubuntu1), libcib1-dev (>= ${binary:Version}), libcrmcluster1-dev (>= ${binary:Version}), libcrmcommon2-dev (>= ${binary:Version}), libpe-rules2-dev (>= ${binary:Version}), libpe-status3-dev (>= ${binary:Version}), libpengine3-dev (>= ${binary:Version}), libstonithd1-dev (>= ${binary:Version}), libtransitioner1-dev (>= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, pacemaker (>= ${binary:Version}), python, libcorosync-dev (>= 1.4.1), libheartbeat2-dev (>= 3.0) , libglib2.0-dev, libxml2-dev, libcluster-glue-dev (>= 1.0.7+hg2618), libcib1-dev (>= ${binary:Version}), libcrmcluster1-dev (>= ${binary:Version}), libcrmcommon2-dev (>= ${binary:Version}), libpe-rules2-dev (>= ${binary:Version}), libpe-status3-dev (>= ${binary:Version}), libpengine3-dev (>= ${binary:Version}), libstonithd1-dev (>= ${binary:Version}), libtransitioner1-dev (>= ${binary:Version})
 Description: HA cluster resource manager (development files)
  High-Availability cluster resource manager for Heartbeat.
  .
@@ -58,7 +58,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: pacemaker (<= 1.0.9.1+hg15626-2)
 Conflicts: pacemaker (<= 1.0.9.1+hg15626-2)
-Description: The Pacemaker libraries - CIB 
+Description: Pacemaker libraries - CIB 
  This package contains some of the libraries provided by and needed
  for the pacemaker cluster manager. You need to install them if you
  intend to run pacemaker. Specifically, this package contains the
@@ -81,7 +81,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: pacemaker (<= 1.0.9.1+hg15626-2)
 Conflicts: pacemaker (<= 1.0.9.1+hg15626-2)
-Description: The Pacemaker libraries - CRM
+Description: Pacemaker libraries - CRM
  This package contains some of the libraries provided by and needed
  for the pacemaker cluster manager. You need to install them if you
  intend to run pacemaker. Specifically, this package contains the
@@ -92,7 +92,7 @@
 Section: libdevel
 Depends:
  ${misc:Depends}, libcrmcommon2 (= ${binary:Version}),
- cluster-glue-dev (>= 1.0.7-1)
+ cluster-glue-dev (>= 1.0.7+hg2618)
 Replaces: pacemaker-dev (<= 1.0.9.1+hg15626-2)
 Conflicts: pacemaker-dev (<= 1.0.9.1+hg15626-2)
 Description: Development file for pacemaker's common library
@@ -106,7 +106,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: pacemaker (<= 1.0.9.1+hg15626-2)
 Conflicts: pacemaker (<= 1.0.9.1+hg15626-2)
-Description: The Pacemaker libraries - common CRM
+Description: Pacemaker libraries - common CRM
  This package contains some of the libraries provided by and needed
  for the pacemaker cluster manager. You need to install them if you
  intend to run pacemaker. Specifically, this package contains the
@@ -129,7 +129,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: pacemaker (<= 1.0.9.1+hg15626-2), libpe-rules-2 (<= 1.0.10-1)
 Conflicts: pacemaker (<= 1.0.9.1+hg15626-2), libpe-rules-2 (<= 1.0.10-1)
-Description: The Pacemaker libraries - rules for P-Engine
+Description: Pacemaker libraries - rules for P-Engine
  This package contains some of the libraries provided by and needed
  for the pacemaker cluster manager. You need to install them if you
  intend to run pacemaker. Specifically, this package contains the
@@ -139,8 +139,8 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends}, libpe-status3 (= ${binary:Version})
-Replaces: pacemaker-dev (<= 1.0.9.1+hg15626-2), libpe-status-2-dev (<= 1.0.10-1)
-Conflicts: pacemaker-dev (<= 1.0.9.1+hg15626-2), libpe-status-2-dev (<= 1.0.10-1)
+Replaces: pacemaker-dev (<= 1.0.9.1+hg15626-2), libpe-status-2-dev (<= 1.0.10-1), libpe-status2-dev 
+Conflicts: pacemaker-dev (<= 1.0.9.1+hg15626-2), libpe-status-2-dev (<= 1.0.10-1), libpe-status2-dev
 Description: Development file for pacemaker's status library
  This package contains static libraries, symbol files as well as
  headers provided by the pacemaker cluster manager (pengine status). 
@@ -152,7 +152,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: pacemaker (<= 1.0.9.1+hg15626-2), libpe-status-2 (<= 1.0.10-1)
 Conflicts: pacemaker (<= 1.0.9.1+hg15626-2), libpe-status-2 (<= 1.0.10-1)
-Description: The Pacemaker libraries - status for P-Engine
+Description: Pacemaker libraries - status for P-Engine
  This package contains some of the libraries provided by and needed
  for the pacemaker cluster manager. You need to install them if you
  intend to run pacemaker. Specifically, this package contains the
@@ -175,7 +175,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: pacemaker (<= 1.0.9.1+hg15626-2)
 Conflicts: pacemaker (<= 1.0.9.1+hg15626-2)
-Description: The Pacemaker libraries - P-Engine
+Description: Pacemaker libraries - P-Engine
  This package contains some of the libraries provided by and needed
  for the pacemaker cluster manager. You need to install them if you
  intend to run pacemaker. Specifically, this package contains the
@@ -185,8 +185,8 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends}, libstonithd1 (= ${binary:Version})
-Replaces: pacemaker-dev (<= 1.0.9.1+hg15626-2)
-Conflicts: pacemaker-dev (<= 1.0.9.1+hg15626-2)
+Replaces: pacemaker-dev (<= 1.0.9.1+hg15626-2), libstonithd0-dev
+Conflicts: pacemaker-dev (<= 1.0.9.1+hg15626-2), libstonithd0-dev
 Description: Development file for pacemaker's stonith library
  This package contains static libraries, symbol files as well as
  headers provided by the pacemaker cluster manager (stonith). 
@@ -196,9 +196,9 @@
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: pacemaker (<= 1.0.9.1+hg15626-2)
-Conflicts: pacemaker (<= 1.0.9.1+hg15626-2)
-Description: The Pacemaker libraries - stonith
+Replaces: pacemaker (<= 1.0.9.1+hg15626-2), libstonithd0
+Conflicts: pacemaker (<= 1.0.9.1+hg15626-2), libstonithd0
+Description: Pacemaker libraries - stonith
  This package contains some of the libraries provided by and needed
  for the pacemaker cluster manager. You need to install them if you
  intend to run pacemaker. Specifically, this package contains the
@@ -221,7 +221,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: pacemaker (<= 1.0.9.1+hg15626-2)
 Conflicts: pacemaker (<= 1.0.9.1+hg15626-2)
-Description: The Pacemaker libraries - transitioner
+Description: Pacemaker libraries - transitioner
  This package contains some of the libraries provided by and needed
  for the pacemaker cluster manager. You need to install them if you
  intend to run pacemaker. Specifically, this package contains the
