=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
   --enable-snmp-subagent --with-mibsdir=/usr/share/snmp/mibs 	  \
   --disable-fatal-warnings --enable-glib-malloc --with-esmtp 	  \
   --with-snmp --with-ais --with-heartbeat --libdir=/usr/lib	  \
-  --with-lcrso-dir=/usr/lib/lcrso
+  --with-cman --with-lcrso-dir=/usr/lib/lcrso
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -60,7 +60,8 @@
 unpatch:
 	override_version=$(RELEASE) sh debian/apply $(UPSTREAM)
 
-
+build-arch: build
+build-indep: build
 build: build-stamp
 build-stamp:
 	dh_testdir
@@ -98,7 +99,7 @@
 	dh_testroot
 	dh_installdirs
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp docdir=/usr/share/doc/pacemaker
-	for file in debian/tmp/usr/lib/*.la; do \
+	for file in `find debian/tmp -name '*.la'`; do \
 		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
 	done
 
@@ -127,7 +128,7 @@
 	-chmod -x `pwd`/debian/pacemaker/usr/share/pacemaker/score.rng
 	-chmod -x `pwd`/debian/pacemaker/usr/share/pacemaker/crm.dtd
 	-chmod -x `pwd`/debian/pacemaker/usr/share/pacemaker/rule-1.0.rng
-	
+
 	# delete redundant COPYING files
 	rm -rf debian/pacemaker/usr/share/doc/pacemaker/COPYING.LGPL
 	rm -rf debian/pacemaker/usr/share/doc/pacemaker/COPYING.LIB
@@ -152,6 +153,9 @@
 	
 	dh_compress -a
 	dh_fixperms -a
+
+	chmod -x $(CURDIR)/debian/pacemaker/usr/share/pacemaker/*.rng
+
 	dh_makeshlibs -a -V
 	dh_perl -a
 	dh_python2 -ppacemaker -ppacemaker-dev
