## pacemaker 1.1.7

=== debian/changelog ===
pacemaker (1.1.7-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix FTBFS, and build in sid, not experimental (closes: #701442)

 -- Julien Cristau <jcristau@debian.org>  Tue, 11 Jun 2013 20:11:42 +0200

pacemaker (1.1.7-2) unstable; urgency=low

  * Added a pacemaker-dbg package for debugging purposes

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 04 Jun 2013 20:29:53 +0000

pacemaker (1.1.7-1) unstable; urgency=low

  * New upstream revision (Pacemaker 1.1.7) 
  * debian/libcrmcommon2-dev.install,
    debian/pacemaker.install: Numerous additions and removals caused by the
    recent file reorganization done by upstream
  * debian/control: Build-Conflict with libqb-dev 

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 17 Apr 2012 11:46:52 +0000
