=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: pacemaker
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Martin Loschwitz <madkiss@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>, Simon Horman <horms@debian.org>, Frederik Schüler <fs@debian.org>
-Build-Depends: debhelper (>= 7), automake, autoconf, chrpath, libsnmp-dev, libglib2.0-dev, perl, net-tools, python (>= 2.6.6-3~), libtool, libcurl4-openssl-dev | libcurl3-openssl-dev, libxml2-dev, bison, flex, uuid-dev, libbz2-dev, zlib1g-dev, libltdl3-dev, openssh-client, libgnutls-dev, libpam0g-dev, libncurses5-dev, libcorosync-dev (>= 1.4.1), libheartbeat2-dev (>= 3.0), libxslt1-dev, libesmtp-dev, cluster-glue-dev (>= 1.0.7+hg2618), liblrm2-dev, libpils2-dev, libplumb2-dev, libplumbgpl2-dev, libstonith1-dev, help2man, libxml2-utils, xsltproc, docbook-xsl, resource-agents-dev, libcorosync4, libcman-dev (>= 3.1), libfence-dev (>= 3.1)
+Build-Depends: debhelper (>= 7.0.50), automake, autoconf, chrpath, libsnmp-dev, libglib2.0-dev, perl, net-tools, python (>= 2.6.6-3~), libtool, libcurl4-openssl-dev | libcurl3-openssl-dev, libxml2-dev, bison, flex, uuid-dev, libbz2-dev, zlib1g-dev, libltdl3-dev, openssh-client, libgnutls-dev, libpam0g-dev, libncurses5-dev, libcorosync-dev (>= 1.4.1), libheartbeat2-dev (>= 3.0), libxslt1-dev, libesmtp-dev, cluster-glue-dev (>= 1.0.7+hg2618), liblrm2-dev, libpils2-dev, libplumb2-dev, libplumbgpl2-dev, libstonith1-dev, help2man, libxml2-utils, xsltproc, docbook-xsl, resource-agents-dev
+Build-Conflicts: libqb-dev
 Standards-Version: 3.9.2
 Homepage: http://clusterlabs.org/
 Vcs-Hg: http://hg.debian.org/hg/debian-ha/pacemaker
@@ -26,6 +26,23 @@
  .
  It supports both the Heartbeat and Corosync cluster stacks.
 
+Package: pacemaker-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: pacemaker (= ${binary:Version}), ${misc:Depends}
+Description: Debugging symbols for Pacemaker
+ High-Availability cluster resource manager for Heartbeat as
+ well as Corosync.
+ .
+ Pacemaker supports a very sophisticated dependency model for
+ n-node clusters and can respond to node and resource-level
+ failures.
+ .
+ It supports both the Heartbeat and Corosync cluster stacks.
+ .
+ This package contains the debugging symbols for Pacemaker.
+
 Package: pacemaker-dev
 Section: devel
 Architecture: any
