=== debian/rules ===
--- 
+++ 
@@ -22,11 +22,11 @@
 #
 
 cfg:=--prefix=/usr --sysconfdir=/etc --localstatedir=/var 	  \
-  --mandir=/usr/share/man \
+  --libexecdir=/usr/lib --mandir=/usr/share/man \
   --enable-snmp-subagent --with-mibsdir=/usr/share/snmp/mibs 	  \
   --disable-fatal-warnings --enable-glib-malloc --with-esmtp 	  \
   --with-snmp --with-ais --with-heartbeat --libdir=/usr/lib	  \
-  --with-cman --with-lcrso-dir=/usr/lib/lcrso
+  --with-lcrso-dir=/usr/lib/lcrso
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -146,7 +146,7 @@
 	dh_lintian
 	dh_installchangelogs
 	dh_link -a
-	dh_strip -a
+	dh_strip -a --dbg-package=pacemaker-dbg
 	
 	# make the pacemaker shlib non-executable
 	chmod -x `pwd`/debian/pacemaker/usr/lib/lcrso/pacemaker.lcrso
